# getDocletpath

open fun getDocletpath(): List<File>

-docletpath classpathlist

Specifies the path to the doclet starting class file (specified with the -doclet option) and any jar files it depends on. If the starting class file is in a jar file, then this specifies the path to that jar file, as shown in the example below. You can specify an absolute path or a path relative to the current directory. If classpathlist contains multiple paths or jar files, they should be separated with a colon (:) on Solaris and a semi-colon (;) on Windows. This option is not necessary if the doclet starting class is already in the search path.

Example of path to jar file that contains the starting doclet class file. Notice the jar filename is included.

-docletpath C:/user/mifdoclet/lib/mifdoclet.jar

Example of path to starting doclet class file. Notice the class filename is omitted.

-docletpath C:/user/mifdoclet/classes/com/sun/tools/doclets/mif/

For full, working examples of running a particular doclet, see Running the MIF Doclet.